import { useState } from "react";

import { useTranslation } from "next-i18next";

import { Button } from "@mantine/core";

import EventModal from "../components/eventModal";

export default function Events() {
  const [open, setOpen] = useState(false);
  const [event, setEvent] = useState(null);

  const { t } = useTranslation("common");

  return (
    <>
      <h1>{t("events")}</h1>

      <Button onClick={() => setOpen(true)} variant="light">
        {t("addEvent")}
      </Button>

      <EventModal open={open} event={event} close={() => setOpen(false)} />
    </>
  );
}
